Write-Debug ("Starting " + $MyInvocation.MyCommand.Definition)

[string]$packageName="PowerShell.5.0"

<#
Exit Codes:
    3010: WSUSA executed the uninstall successfully.
    2359303: The update was not found.
#>

Start-ChocolateyProcessAsAdmin "/uninstall /KB:3006193 /quiet /norestart /log:`"$env:TEMP\PowerShell.UninstallKB3006193.evtx`"" -exeToRun "WUSA.exe" -validExitCodes @(3010,2359303) 
Start-ChocolateyProcessAsAdmin "/uninstall /KB:2894867 /quiet /norestart /log:`"$env:TEMP\PowerShell.UninstallKB2894867.evtx`"" -exeToRun "WUSA.exe" -validExitCodes @(3010,2359303) 
Write-Warning "$packageName may require a reboot to complete the uninstallation."